
# set this until when/if we port to new cmake macros
%global __cmake_in_source_build 1

Name:		    ebook-tools
Version:	    0.2.2
Release:	    1
Summary:	    Tools for accessing and converting various ebook file formats

License:	    MIT
URL:		    http://sourceforge.net/projects/ebook-tools/

Source0:	    http://downloads.sourceforge.net/ebook-tools/%{name}-%{version}.tar.gz
# support libzip pkgconfig
Patch51:        ebook-tools-0.2.1-libzip_pkgconfig.patch

BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libzip)
BuildRequires:  make

Requires:	%{name}-libs%{?_isa} = %{version}-%{release}

%description
Tools for accessing and converting various ebook file formats.

%package devel
Summary:	Development files for %{name}
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}
%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package libs
Summary:	Libraries for %{name}
%description libs
The %{name}-libs package contains libraries to be used by 
%{name} and others.

%prep
%setup -q
%patch51 -p1 -b .libzip_pkgconfig


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

%{make_build} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform} 

# remove because it doesnt work without clit
rm -f %{buildroot}%{_bindir}/lit2epub


%{ldconfig_scriptlets}

%files
%{_bindir}/einfo

%files	devel
%{_libdir}/libepub.so
%{_includedir}/epub*.h

%files	libs
%doc README
%license LICENSE
%{_libdir}/libepub.so.0*


%changelog
* Wed Jul 13 2022 misaka00251 <misaka00251@misakanet.cn> - 0.2.2-1
- Init package
